---
- name: "Docker CE Requirements (Tools)"
  become: yes
  ansible.builtin.package:
      name: "{{item}}"
      state: present
      update_cache: yes
  loop:
    - apt-transport-https
    - ca-certificates
    - curl
    - gnupg-agent
    - software-properties-common
    - lsb-release


- name: Docker CE - GPG key
  become: yes
  apt_key:
    url: https://download.docker.com/linux/debian/gpg
    state: present

# FIXME: Unfortunately the following is distro dependent!
- name: Docker CE - Added Docker Repository
  become: yes
  apt_repository:
    repo: deb https://download.docker.com/linux/debian bullseye stable
    state: present
- name: Docker CE - Installation
  become: yes
  ansible.builtin.package:
    name: "{{item}}"
    state: latest
    update_cache: yes
  loop:
    - docker-ce
    - docker-ce-cli
    - containerd.io
    - docker-compose-plugin
- name: make sure docker is active
  become: yes
  ansible.builtin.service:
    name: docker
    state: started
    enabled: yes

- name: "sysctl -w vm.max_map_count=262144"
  ansible.posix.sysctl:
    name: vm.max_map_count
    value: '262144'
    sysctl_set: yes

- name: Ensure /home/user directory exists
  ansible.builtin.file:
    path: /home/user
    state: directory
    mode: 0755

- name: Copy Docker Compose file to the target host
  become: yes
  copy:
    src: roles/sonarqube/docker-compose.yml   
    dest: /home/user/docker-compose.yml  

- name: Run Docker Compose to start SonarQube
  command: docker compose up -d
  args:
    chdir: /home/user  